update: python-2.4.4

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

update: python-2.4.4

Damien Miller
Hi,

Attached is a patch to update lang/python/2.4 to 2.4.4. It passes regress
on i386, but needs testing on other platforms.

-d

python244.diff (19K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: update: python-2.4.4

Christian Weisgerber
Damien Miller <[hidden email]> wrote:

> Attached is a patch to update lang/python/2.4 to 2.4.4. It passes regress
> on i386, but needs testing on other platforms.

Regress is fine on amd64.
(Building on alpha now.)

--
Christian "naddy" Weisgerber                          [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: update: python-2.4.4

Martynas Venckus-2
In reply to this post by Damien Miller
http://www.altroot.org/python24.patch

Does not build otherwise here (not python-2.4.4, nor python-2.4.3, which
is allready commited in -current).

--
Martynas Venckus

Reply | Threaded
Open this post in threaded view
|

Re: update: python-2.4.4

Christian Weisgerber
In reply to this post by Christian Weisgerber
Christian Weisgerber <[hidden email]> wrote:

> > Attached is a patch to update lang/python/2.4 to 2.4.4. It passes regress
> > on i386, but needs testing on other platforms.
>
> (Building on alpha now.)

It dies on alpha at test_long with signal 8.
So does 2.4.3.  Hmm.

--
Christian "naddy" Weisgerber                          [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: update: python-2.4.4

Damien Miller
In reply to this post by Martynas Venckus-2
On Sat, 21 Oct 2006, Martynas Venckus wrote:

> http://www.altroot.org/python24.patch
>
> Does not build otherwise here (not python-2.4.4, nor python-2.4.3, which
> is allready commited in -current).

Care to share the error message?

Reply | Threaded
Open this post in threaded view
|

Re: update: python-2.4.4

Martynas Venckus-2
> Care to share the error message?
Sure.

--
cc -pthread -fPIC -fno-strict-aliasing -DNDEBUG -O2 -pipe
-DTHREAD_STACK_SIZE=0x20000 -fPIC -I.
-I/usr/obj/ports/python-2.4.3p1/Python-2.4.3/Include -DHAVE_EXPAT_H
-I/usr/local/include -c
/usr/obj/ports/python-2.4.3p1/Python-2.4.3/Modules/pyexpat.c -o
Modules/pyexpat.o
/usr/obj/ports/python-2.4.3p1/Python-2.4.3/Modules/pyexpat.c: In function
`initpyexpat':
/usr/obj/ports/python-2.4.3p1/Python-2.4.3/Modules/pyexpat.c:1977: error:
`XML_ERROR_UNBOUND_PREFIX' undeclared (first use in this function)
/usr/obj/ports/python-2.4.3p1/Python-2.4.3/Modules/pyexpat.c:1977: error:
(Each undeclared identifier is reported only once
/usr/obj/ports/python-2.4.3p1/Python-2.4.3/Modules/pyexpat.c:1977: error:
for each function it appears in.)
/usr/obj/ports/python-2.4.3p1/Python-2.4.3/Modules/pyexpat.c:1979: error:
`XML_ERROR_UNDECLARING_PREFIX' undeclared (first use in this function)
/usr/obj/ports/python-2.4.3p1/Python-2.4.3/Modules/pyexpat.c:1980: error:
`XML_ERROR_INCOMPLETE_PE' undeclared (first use in this function)
/usr/obj/ports/python-2.4.3p1/Python-2.4.3/Modules/pyexpat.c:1981: error:
`XML_ERROR_XML_DECL' undeclared (first use in this function)
/usr/obj/ports/python-2.4.3p1/Python-2.4.3/Modules/pyexpat.c:1982: error:
`XML_ERROR_TEXT_DECL' undeclared (first use in this function)
/usr/obj/ports/python-2.4.3p1/Python-2.4.3/Modules/pyexpat.c:1983: error:
`XML_ERROR_PUBLICID' undeclared (first use in this function)
/usr/obj/ports/python-2.4.3p1/Python-2.4.3/Modules/pyexpat.c:1984: error:
`XML_ERROR_SUSPENDED' undeclared (first use in this function)
/usr/obj/ports/python-2.4.3p1/Python-2.4.3/Modules/pyexpat.c:1985: error:
`XML_ERROR_NOT_SUSPENDED' undeclared (first use in this function)
/usr/obj/ports/python-2.4.3p1/Python-2.4.3/Modules/pyexpat.c:1986: error:
`XML_ERROR_ABORTED' undeclared (first use in this function)
/usr/obj/ports/python-2.4.3p1/Python-2.4.3/Modules/pyexpat.c:1987: error:
`XML_ERROR_FINISHED' undeclared (first use in this function)
/usr/obj/ports/python-2.4.3p1/Python-2.4.3/Modules/pyexpat.c:1988: error:
`XML_ERROR_SUSPEND_PE' undeclared (first use in this function)
*** Error code 1

Stop in /usr/obj/ports/python-2.4.3p1/Python-2.4.3 (line 1060 of Makefile).
*** Error code 1

Stop in /usr/ports/lang/python/2.4 (line 1953 of
/usr/ports/infrastructure/mk/bsd.port.mk).
--

It needs expat.>=6.0:expat->=2.0.0:textproc/expat (as in
http://www.altroot.org/python24.patch), to compile successfuly.

2.4.4 works fine here (i386).

--
Martynas Venckus

Reply | Threaded
Open this post in threaded view
|

Re: update: python-2.4.4

Damien Miller
On Sat, 21 Oct 2006, Martynas Venckus wrote:

> Stop in /usr/ports/lang/python/2.4 (line 1953 of
> /usr/ports/infrastructure/mk/bsd.port.mk).
> --
>
> It needs expat.>=6.0:expat->=2.0.0:textproc/expat (as in
> http://www.altroot.org/python24.patch), to compile successfuly.

hmm, we will need to bump PKGNAME for python-2.3 too I think if this
goes in, unless we make the LIB_DEPENDS depend on MODPY_VER (yuck).

There may be a 2.3.6 coming out so that may be a moot point.

-d